cURL
curl --request GET \
--url https://sandbox.zapyd.com/pos/api/v1/prefunded/payout/history \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/pos/api/v1/prefunded/payout/history"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/pos/api/v1/prefunded/payout/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "b3f1c2d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"quotation_id": "59bf60c3-e9af-40a7-9d5c-2a1aa191e769",
"bank_id": "cab47575-bbcb-4294-81a3-30774104f3b6",
"asset": "USDT",
"network": "tron",
"fiat": "INR",
"rate": "85.00",
"sending_amount": "60.00",
"receiving_amount": "5100.00",
"client_reference_id": "payout-ref-001",
"fees": {
"zapyd_fee": "0.00",
"client_fee": "0.00",
"client_gst": "0.00",
"tds": "0"
},
"status": "PROCESSING",
"wallet_address": "TXqH4MnDw46f3yyrRwau3JF92Y1ie3pAXf",
"transaction_hash": "0x9f2c…",
"utr": "412345678901",
"failure_reason": null,
"updated_at": "2026-09-30T10:05:00Z",
"created_at": "2026-09-30T10:00:00Z",
"customer": {
"sender": {
"id": "1b2c3d4e-5f60-4a7b-8c9d-0e1f2a3b4c5d"
},
"receiver": {
"id": "84737c7d-7b62-4204-80d6-80f6ecb3ceb4"
}
}
}
]
}
}{
"status": false,
"message": "Bad Request",
"err_code": "REQ_FIELD_MISSING",
"errors": {
"date_range": [
"start_date and end_date must be used together"
]
},
"data": null
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later."
}Prefunded payouts
Payout History
Lists prefunded payouts with filters and pagination.
GET
/
pos
/
api
/
v1
/
prefunded
/
payout
/
history
cURL
Payout History
Prefunded payouts are available only to organizations with a prefunded wallet. Check your balance with Fetch Balance.
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Query Parameters
Filter payouts by status (e.g., SUCCESS, FAILED, PROCESSING)
Example:
"SUCCESS"
Filter payouts by customer ID
Example:
"dfd8db74-2fbb-46d1-9a93-b90f156e13b4"
Filter payouts created on or after this date (YYYY-MM-DD). Must be used together with end_date.
Example:
"2025-01-01"
Filter payouts created on or before this date (YYYY-MM-DD). Must be used together with start_date.
Example:
"2025-01-31"
Sort field; prefix with - for descending
Page number
Required range:
x >= 1Results per page (10–100)
Required range:
10 <= x <= 100⌘I